Package org.apache.tools.ant.types.resources.selectors

# Class Size

java.lang.Object
org.apache.tools.ant.types.resources.selectors.Size

All Implemented Interfaces:
  `ResourceSelector`

public class Size extends Object implements ResourceSelector
Size ResourceSelector.

Since:
  Ant 1.7

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Size()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getSize()`
  Get the size compared to by this Size ResourceSelector.
  `Comparison`
  `getWhen()`
  Get the comparison mode.
  `boolean`
  `isSelected(Resource r)`
  Return true if this Resource is selected.
  `void`
  `setSize(long l)`
  Set the size to compare against.
  `void`
  `setWhen(Comparison c)`
  Set the comparison mode.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Size

    public Size()

- ## Method Details

  - ### setSize

    public void setSize(long l)
    Set the size to compare against.
    Parameters:
      `l` - the long resource size.

  - ### getSize

    public long getSize()
    Get the size compared to by this Size ResourceSelector.
    Returns:
      the long resource size.

  - ### setWhen

    public void setWhen(Comparison c)
    Set the comparison mode.
    Parameters:
      `c` - a Comparison object.

  - ### getWhen

    public Comparison getWhen()
    Get the comparison mode.
    Returns:
      a Comparison object.

  - ### isSelected

    public boolean isSelected(Resource r)
    Return true if this Resource is selected.
    Specified by:
      `isSelected` in interface `ResourceSelector`
    Parameters:
      `r` - the Resource to check.
    Returns:
      whether the Resource was selected.